Delete Event
Delete an Event. Rate limit: 20 requests per minute per API key.
Authorization
apiKey Authorization<token>
Use format: users API-Key YOUR_API_KEY
In: header
Path Parameters
version*string
API version
Default
"2026-02"Value in
"2026-02"tenant*string
Tenant slug
id*string
Event ID
Response Body
application/json
application/json
curl -X DELETE "https://api.basker.app/partners/2026-02/string/events/string"{
"id": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"title": "string",
"externalId": "string",
"description": "string",
"venue": "string",
"duration": 0,
"company": "string",
"startDate": "2019-08-24T14:15:22Z",
"startDate_tz": "Pacific/Midway",
"endDate": "2019-08-24T14:15:22Z",
"endDate_tz": "Pacific/Midway",
"startDateLocal": "string",
"endDateLocal": "string",
"season": "string",
"series": [
"string"
],
"works": [
"string"
],
"participants": [
{}
],
"tessitura": {
"syncConnected": true,
"productionSeasonIds": {},
"performanceSyncType": "all",
"productionPerformances": {},
"keywords": {},
"eventFieldMaps": {
"overrideEventMaps": true,
"eventSyncMap": {
"baskerFields": [
{}
],
"customAttributes": [
{}
]
}
},
"eventInstanceFieldMaps": {
"overrideInstanceMaps": true,
"eventInstanceSyncMap": {
"syncInstances": true,
"addNew": true,
"visibility": {
"usePublishApiDates": true,
"useAvailSaleIndicator": true
},
"removeInvalid": true,
"baskerFields": [
{}
],
"customAttributes": [
{}
]
}
},
"modesOfSale": {
"overrideModesOfSale": true,
"customModesOfSale": 0
}
},
"spektrix": {
"syncConnected": true,
"eventId": "string",
"eventSyncType": "all",
"spektrixInstances": {},
"eventFieldMaps": {
"overrideEventMaps": true,
"eventSyncMap": {
"baskerFields": [
{}
],
"customAttributes": [
{}
]
}
},
"eventInstanceFieldMaps": {
"overrideInstanceMaps": true,
"eventInstanceSyncMap": {
"syncInstances": true,
"addNew": true,
"removeInvalid": true,
"baskerFields": [
{}
],
"customAttributes": [
{}
]
}
}
},
"elevent": {
"syncConnected": true,
"eventId": "string",
"eventFieldMaps": {
"overrideEventMaps": true,
"eventSyncMap": {
"baskerFields": [
{}
],
"customAttributes": [
{}
]
}
},
"eventInstanceFieldMaps": {
"overrideInstanceMaps": true,
"eventInstanceSyncMap": {
"syncInstances": true,
"addNew": true,
"removeInvalid": true,
"baskerFields": [
{}
],
"customAttributes": [
{}
]
}
}
},
"image": "string",
"showInSearch": true,
"url": "string",
"hideStartTime": true,
"slug": "string",
"startDateLocalAsUTC": "string",
"endDateLocalAsUTC": "string",
"attributes": [
{}
]
}Empty
{
"error": "Too Many Requests",
"message": "Rate limit exceeded. Please retry later."
}